﻿Type=Class
Version=5.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Public bd As BitmapData
	Private mAnimator As SpriteAnimator
	Public vy As Float
	Public disappearing As Boolean
End Sub

Public Sub Initialize (vbd As BitmapData, animator As SpriteAnimator)
	bd = vbd
	mAnimator = animator
End Sub

Public Sub Tick As Boolean
	mAnimator.vy = vy
	Dim visible As Boolean = mAnimator.Tick(bd)
	vy = 0
	If Not(visible) Then 
		bd.Delete = True
		Return True
	End If
End Sub

Public Sub Shrink
	Dim d As Rect = bd.DestRect
	Dim width As Float = d.Right - d.Left
	width = width / 2
	d.Left = d.Left + width / 2
	d.Right = d.Right - width / 2
	mAnimator.width = width
End Sub